/* rgbpch.c
 *
 * LoadRGB32()
 * SetRGB32()
 * SetRGB32CM()
 */

#include <exec/types.h>
#include <proto/exec.h>
#include <proto/graphics.h>

#include "macros.h"

extern UBYTE *pSTART;
extern UBYTE *pEND;


struct GfxBase *GfxBase=NULL;


extern void REGARGS setfnc(REG(a1,struct Library *lb),REG(a0,void *mem));



int main(void) {
	char *pm;
	int size;
	UBYTE *base;

	base=(UBYTE *)&pSTART;
	size=(int)(((UBYTE *)&pEND)-((UBYTE *)&pSTART));
	if((GfxBase=(struct GfxBase *)OpenLibrary("graphics.library",37))==NULL) return(0);
	if(NULL!=(pm=AllocMem(size+4,MEMF_ANY))) {
		setfnc((struct Library *)GfxBase,pm);
	}
	if(GfxBase) {
		CloseLibrary((struct Library *)GfxBase);
		GfxBase=NULL;
	}
	return(0);
}


